%define api	0.14
%define major 	0
%define libname %mklibname gcu %api %major
%define libgchempaint %mklibname gchempaint %api %major
%define libgcrystal %mklibname gcrystal %api %major

Summary:	Backend for Gnome chemistry applications
Name:		gnome-chemistry-utils
Version:	0.14.5
Release:	%mkrel 2
License:	LGPLv2+
Group:		Sciences/Chemistry
URL:		http://www.nongnu.org/gchemutils/
Source0:	http://download.savannah.nongnu.org/releases/gchemutils/%api/%{name}-%version.tar.xz
BuildRequires:	pkgconfig(bodr) >= 5
BuildRequires:	pkgconfig(cairo) >= 1.6.0
BuildRequires:	pkgconfig(chemical-mime-data) >= 0.1.94
BuildRequires:	pkgconfig(gio-2.0) >= 2.26.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(libgoffice-0.10) >= 0.10.0
BuildRequires:	pkgconfig(libgsf-1) >= 1.14.9
BuildRequires:	pkgconfig(libspreadsheet-1.12) >= 1.11.6
BuildRequires:	pkgconfig(libxml-2.0) >= 2.4.16
BuildRequires:	pkgconfig(openbabel-2.0) >= 2.3.0
BuildRequires:	pkgconfig(shared-mime-info) >= 0.12
BuildRequires:	pkgconfig(x11) >= 1.0.0
BuildRequires:	mesagl-devel
BuildRequires:	mesaglu-devel
BuildRequires:	gtk-doc
BuildRequires:	intltool >= 0.40.6
BuildRequires:	gnome-doc-utils >= 0.3.2
Requires:	gchem3d = %{version}
Requires:	gchemcalc = %{version}
Requires:	gchempaint = %{version}
Requires:	gchemtable = %{version}
Requires:	gcrystal = %{version}
Requires:	gspectrum = %{version}

%description
The Gnome Chemistry Utils provide C++ classes and GTK2 widgets related to
chemistry.  They are currently used in Gnome Crystal (gcrystal) and Gnome
Chemistry Paint (gchempaint).

%files
%doc README ChangeLog NEWS AUTHORS

#--------------------------------------------------------------------

%package common
Summary:	Common files shared by different components of %{name}
Group:		Sciences/Chemistry
Conflicts:	%{name} < %{version}
Requires:       chemical-mime-data
Requires:       bodr

%description common
The Gnome Chemistry Utils provide C++ classes and GTK2 widgets related to
chemistry.  They are currently used in Gnome Crystal (gcrystal) and Gnome
Chemistry Paint (gchempaint).

This package contains the common files ahred by different components of
%{name}.

%files common -f gchemutils-%{api}.lang
%_datadir/glib-2.0/schemas/org.gnome.gchemutils.gschema.xml
%{_libexecdir}/babelserver
%dir %_libdir/gchemutils
%dir %_libdir/gchemutils/%{api}
%dir %_libdir/gchemutils/%{api}/plugins
%_libdir/gchemutils/%{api}/plugins/cdx
%_libdir/gchemutils/%{api}/plugins/cdxml
%_libdir/gchemutils/%{api}/plugins/cif
%_libdir/gchemutils/%{api}/plugins/cml
%_libdir/gchemutils/%{api}/plugins/nuts
%dir %_datadir/gchemutils
%dir %_datadir/gchemutils/%{api}
%_datadir/gchemutils/%{api}/*.xml
%dir %_datadir/gchemutils/%{api}/ui
%_datadir/gchemutils/%{api}/ui/libgcu
%_datadir/mime/packages/*.xml

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	Main libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
The Gnome Chemistry Utils provide C++ classes and GTK2 widgets related to
chemistry.  They are currently used in Gnome Crystal (gcrystal) and Gnome
Chemistry Paint (gchempaint).

This package contains the library needed to run programs dynamically
linked with %{name}.

%files -n %{libname}
%_libdir/libgcu-%{api}.so.%{major}*
%_libdir/libgcugtk-%{api}.so.%{major}*

#--------------------------------------------------------------------

%package -n %{libgchempaint}
Summary:        Libraries for gchempaint
Group:          System/Libraries

%description -n %{libgchempaint}
The Gnome Chemistry Utils provide C++ classes and GTK2 widgets related to
chemistry. They are currently used in Gnome Crystal (gcrystal) and Gnome
Chemistry Paint (gchempaint).

This package contains the library needed to run programs dynamically
linked with gchempaint.

%files -n %{libgchempaint}
%_libdir/libgcp-%{api}.so.%{major}*
%_libdir/libgccv-%{api}.so.%{major}*

#--------------------------------------------------------------------

%package -n %{libgcrystal}
Summary:	Libraries for gchempaint
Group:		System/Libraries

%description -n %{libgcrystal}
The Gnome Chemistry Utils provide C++ classes and GTK2 widgets related to
chemistry. They are currently used in Gnome Crystal (gcrystal) and Gnome
Chemistry Paint (gchempaint).

This package contains the library needed to run programs dynamically
linked with gcrystal.

%files -n %{libgcrystal}
%_libdir/libgcrystal-%{api}.so.%{major}*

#--------------------------------------------------------------------

%package -n gchempaint
Summary:        GNOME 2D chemical structure drawing tool
Group:          Sciences/Chemistry
Requires:	%{name}-common = %{version}
Suggests:	%{name}-goffice = %{version}
Conflicts:	%{name}-common < 0.10.1-2

%description -n gchempaint
GChemPaint is a 2D chemical structures editor for the Gnome-2 desktop.
GChemPaint is a multi-document application and will be a bonobo server so
that some chemistry could be embedded in Gnome applications such as
Gnumeric and Abiword.

%files -n gchempaint
%_datadir/glib-2.0/schemas/org.gnome.gchemutils.paint.gschema.xml
%_datadir/glib-2.0/schemas/org.gnome.gchemutils.paint.plugins.arrows.gschema.xml
%_bindir/gchempaint*
%_libdir/gchemutils/%{api}/plugins/paint
%_datadir/applications/gchempaint*.desktop
%_datadir/gchemutils/%{api}/paint
%_datadir/gchemutils/%{api}/ui/paint
%_datadir/gchemutils/%{api}/pixmaps/gchempaint_logo.png
%_datadir/gnome/help/gchempaint-%{api}
%_iconsdir/hicolor/*/apps/gchempaint.*
%_iconsdir/hicolor/*/mimetypes/application-x-gchempaint.*
%_mandir/man1/gchempaint*.*
%_datadir/omf/gchempaint-%{api}/gchempaint-%{api}-C.omf

#--------------------------------------------------------------------

%package -n gchem3d
Summary:        Molecules Viewer
Group:          Sciences/Chemistry
Requires:       %name-common = %version
Conflicts:	%name < %version

%description -n gchem3d
GChem3Viewer is a 3D molecular structure viewer.

%files -n gchem3d
%_bindir/gchem3d*
%_datadir/applications/gchem3d*.desktop
%_datadir/gnome/help/gchem3d-%{api}
%_iconsdir/hicolor/*/apps/gchem3d.*
%_mandir/man1/gchem3d*.*
%_datadir/omf/gchem3d-%{api}/gchem3d-%{api}-C.omf

#--------------------------------------------------------------------

%package -n gchemcalc
Summary:        Chemical calculator
Group:          Sciences/Chemistry
Requires:       %{name}-common = %{version}
Conflicts:	%{name} < %{version}

%description -n gchemcalc
GChemCalc is a Chemical calculator.

%files -n gchemcalc
%_bindir/gchemcalc*
%_datadir/applications/gchemcalc*.desktop
%_datadir/gchemutils/%{api}/ui/calc
%_datadir/gnome/help/gchemcalc-%{api}
%_iconsdir/hicolor/*/apps/gchemcalc.*
%_mandir/man1/gchemcalc*.*
%_datadir/omf/gchemcalc-%{api}/gchemcalc-%{api}-C.omf

#--------------------------------------------------------------------

%package -n gchemtable
Summary:        Periodic table
Group:          Sciences/Chemistry
Requires:       %{name}-common = %{version}
Conflicts:	%{name} < %{version}

%description -n gchemtable
GChemTable is a periodic table of the elements application.

%files -n gchemtable
%_bindir/gchemtable*
%_datadir/applications/gchemtable*.desktop
%_datadir/gnome/help/gchemtable-%{api}
%_datadir/gchemutils/%{api}/ui/table
%_iconsdir/hicolor/*/apps/gchemtable.*
%_mandir/man1/gchemtable*.*
%_datadir/omf/gchemtable-%{api}/gchemtable-%{api}-C.omf

#--------------------------------------------------------------------

%package -n gcrystal
Summary:        Crystal structure viewer
Group:          Sciences/Chemistry
Requires:       %{name}-common = %{version}
Conflicts:	%{name} < %{version}

%description -n gcrystal
GCrystal is a Crystal structure viewer.

%files -n gcrystal
%_datadir/glib-2.0/schemas/org.gnome.gchemutils.crystal.gschema.xml
%_bindir/gcrystal*
%_datadir/gchemutils/%{api}/ui/crystal
%_datadir/gchemutils/%{api}/pixmaps/gcrystal_logo.png
%_datadir/applications/gcrystal*.desktop
%_datadir/gnome/help/gcrystal-%{api}
%_iconsdir/hicolor/*/apps/gcrystal.*
%_iconsdir/hicolor/*/mimetypes/application-x-gcrystal.*
%_mandir/man1/gcrystal*.*
%_datadir/omf/gcrystal-%{api}/gcrystal-%{api}-C.omf

#--------------------------------------------------------------------

%package -n gspectrum
Summary:        Spectrum viewer
Group:          Sciences/Chemistry
Requires:       %{name}-common = %{version}
Conflicts:	%{name} < %{version}

%description -n gspectrum
GSpectrum is a Spectrum viewer.

%files -n gspectrum
%_bindir/gspectrum*
%_datadir/applications/gspectrum*.desktop
%_datadir/gnome/help/gspectrum-%{api}
%_iconsdir/hicolor/*/apps/gspectrum.*
%_mandir/man1/gspectrum*.*
%_datadir/omf/gspectrum-%{api}/gspectrum-%{api}-C.omf

#--------------------------------------------------------------------

%package goffice
Summary:        GOffice plugin for gchemutils
Group:          Sciences/Chemistry
Requires:       gchempaint = %{version}
Requires:	goffice

%description goffice
GOffice plugin for gchemutils.

%files goffice
%_libdir/goffice/*/plugins/gchemutils

#--------------------------------------------------------------------

%package gnumeric
Summary:	gchemutils plugin for gnumeric
Group:		Sciences/Chemistry
Requires:	gnumeric >= 1.11.0
Requires:	%{name}-common = %{version}

%description gnumeric
gchemutils plugin for gnumeric.

%files gnumeric
%_libdir/gnumeric/*/plugins/gchemutils

#--------------------------------------------------------------------

%package	devel
Summary:	Development related files of %{name}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libgchempaint} = %{version}-%{release}
Requires:	%{libgcrystal} = %{version}-%{release}
Provides:	gcu-devel = %{version}-%{release}
Provides:	gchemutils-devel = %{version}-%{release}
Provides:	gchempaint-devel = %{version}-%{release}
Provides:	gcrystal-devel = %{version}-%{release}
Obsoletes:	%mklibname -d gcu 0
Obsoletes:	%{_lib}gcu-devel < %version
Obsoletes:	gchempaint-devel < %version

%description	devel
The Gnome Chemistry Utils provide C++ classes and GTK2 widgets related to
chemistry.  They are currently used in Gnome Crystal (gcrystal) and Gnome
Chemistry Paint (gchempaint).

This package includes the header files and static libraries necessary for
developing chemistry related programs using %{name}.

%files devel
%doc docs/reference
%_libdir/*.so

#--------------------------------------------------------------------

%prep
%setup -q

%build
%define Werror_cflags %nil
export CXXFLAGS="%optflags -fpermissive"
%configure2_5x \
	--enable-static=no --disable-update-databases \
	--disable-mozilla-plugin --disable-schemas-install \
	--disable-scrollkeeper --without-kde-mime-dir
%make

%install
%makeinstall_std HTMLDIR=`pwd`/reference/html

#kill intrusive docs
rm -rf $RPM_BUILD_ROOT%{_docdir}/gchemutils

#kill libtool archives
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang gchemutils-%{api}


%changelog
* Sat Jan 25 2014 philippem <philippem> 0.14.5-2.mga4
+ Revision: 568154
- Update to 0.14.5 to fix CVE-2013-6836 (mga#12294)

* Wed Dec 04 2013 fwang <fwang> 0.14.3-4.mga4
+ Revision: 554903
- rebuild for new gnumeric

* Mon Oct 21 2013 umeabot <umeabot> 0.14.3-3.mga4
+ Revision: 540924
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 dams <dams> 0.14.3-2.mga4
+ Revision: 494520
- rebuild for new gnumeric

* Sun Sep 15 2013 fwang <fwang> 0.14.3-1.mga4
+ Revision: 479757
- new version 0.14.3

* Mon Sep 02 2013 fwang <fwang> 0.14.2-7.mga4
+ Revision: 474202
- rebuild for new gnumeric

* Wed Aug 28 2013 fwang <fwang> 0.14.2-6.mga4
+ Revision: 472495
- rebuild for new gnumeric

* Tue Aug 20 2013 fwang <fwang> 0.14.2-5.mga4
+ Revision: 468033
- rebuild for new gnumeric

* Mon Jul 15 2013 fwang <fwang> 0.14.2-4.mga4
+ Revision: 454597
- rebuild for new gnumeric

* Wed Jun 26 2013 fwang <fwang> 0.14.2-3.mga4
+ Revision: 446710
- rebuild for new gnumeric

* Fri May 31 2013 fwang <fwang> 0.14.2-2.mga4
+ Revision: 433702
- rebuild for new gnumeric

* Fri Apr 19 2013 fwang <fwang> 0.14.2-1.mga3
+ Revision: 410529
- new version 0.14.2

* Sat Jan 12 2013 umeabot <umeabot> 0.13.99-3.mga3
+ Revision: 352060
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 19 2012 fwang <fwang> 0.13.99-2.mga3
+ Revision: 332757
- rebuild for new goffice

* Sun Dec 09 2012 fwang <fwang> 0.13.99-1.mga3
+ Revision: 329112
- update file list
- new version 0.13.99

* Tue Nov 27 2012 fwang <fwang> 0.13.98-2.mga3
+ Revision: 322280
- rebuild for new gnumeric

* Thu Oct 11 2012 fwang <fwang> 0.13.98-1.mga3
+ Revision: 304563
- new version 0.13.98
- bump gnumeric req

* Fri Sep 07 2012 fwang <fwang> 0.13.92-2.mga3
+ Revision: 289099
- drop unused patch
- rebuild for new gnumeric

* Sat Sep 01 2012 fwang <fwang> 0.13.92-1.mga3
+ Revision: 286831
- revert upstrem change on gnumeric plugin
- new version  0.13.92

* Thu Jul 19 2012 fwang <fwang> 0.13.91-1.mga3
+ Revision: 272498
- new version 0.13.91

* Sun Jul 08 2012 fwang <fwang> 0.13.7-2.mga3
+ Revision: 268819
- rebuild for new gnumeric

* Wed May 30 2012 fwang <fwang> 0.13.7-1.mga3
+ Revision: 251861
- new version 0.13.7

* Sat Mar 03 2012 fwang <fwang> 0.13.5-4.mga2
+ Revision: 217097
- rebuild for new gnumeric

* Sat Dec 10 2011 fwang <fwang> 0.13.5-3.mga2
+ Revision: 180096
- rebuild for new gnumeric

* Sun Nov 27 2011 fwang <fwang> 0.13.5-2.mga2
+ Revision: 172916
- fix req

* Sun Nov 27 2011 fwang <fwang> 0.13.5-1.mga2
+ Revision: 172906
- update file list
- fix install
- update file list
- update file list
- update file list
- update file list
- update libapi
- drop rpath deletion
- fix build with latest glib
- more linkage fix
- fix linkage
- br glu
- br gl
- more br
- update file list
- imported package gnome-chemistry-utils

